Activate/Deactivate Flow tasks.flow.Flow.activate
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
taskWho can execute the method: flow creator or administrator
The method tasks.flow.Flow.activate turns a flow on or off by its identifier. If the flow is off, it turns it on. If it is on, it turns it off.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
flowId* |
The identifier of the flow to be turned on or off. You can obtain the identifier by creating a new flow using the method tasks.flow.Flow.create or by retrieving a task using the method tasks.task.get for a task from the flow |
Code Examples
How to Use Examples in Documentation
curl -X POST \
-H "Content-Type: application/json" \
-d '{
"flowId": 517
}' \
https://your-domain.bitrix24.com/rest/_USER_ID_/_CODE_/tasks.flow.Flow.activate
curl -X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-d '{
"flowId": 517
}' \
https://your-domain.bitrix24.com/rest/tasks.flow.Flow.activate
try
{
const response = await $b24.callMethod(
'tasks.flow.Flow.activate',
{
flowId: 517
}
);
const result = response.getData().result;
console.info(result);
}
catch( error )
{
console.error(error);
}
try {
$response = $b24Service
->core
->call(
'tasks.flow.Flow.activate',
[
'flowId' => 517
]
);
$result = $response
->getResponseData()
->getResult();
if ($result->error()) {
error_log($result->error());
} else {
echo 'Success: ' . print_r($result->data(), true);
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error activating flow: ' . $e->getMessage();
}
BX24.callMethod(
'tasks.flow.Flow.activate',
{
flowId: 517
},
function(result) {
if (result.error()) {
console.error(result.error());
} else {
console.info(result.data());
}
}
);
require_once('crest.php'); // connecting CRest PHP SDK
$flowId = 517;
// executing request to REST API
$result = CRest::call(
'tasks.flow.Flow.activate',
[
'flowId' => $flowId
]
);
// Processing the response from Bitrix24
if ($result['error']) {
echo 'Error: '.$result['error_description'];
} else {
print_r($result['result']);
}
Response Handling
HTTP status: 200
{
"result": true
}
Returned Data
|
Name |
Description |
|
result |
Success of the operation |
Error Handling
HTTP status: 400
{
"error": "0",
"error_description": "Flow not found"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Additional Information |
|
|
Access denied or flow not found |
The account plan does not allow working with flows or the user does not have permission to perform the operation |
|
|
|
The flow with the specified identifier was not found |
|
|
|
An unknown error occurred |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not permitted for calls using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The HTTPS protocol is required for method calls |
|
|
|
The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it |
|
|
|
The REST API is only available on commercial plans |
|
|
|
The user associated with the access token or webhook used to call the method lacks the necessary permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Create a new Flow tasks.flow.Flow.create
- Update Flow tasks.flow.Flow.update
- Get Flow tasks.flow.Flow.get
- Delete Flow tasks.flow.Flow.delete
- Check the existence of the Flow tasks.flow.Flow.isExists
- Pin or Unpin Flow tasks.flow.Flow.pin